Bug 127373 - kernel 2.6.6-1.435.2.1 and 2.6.6-1.435.2.3 fails on ASUS P2L97-S
kernel 2.6.6-1.435.2.1 and 2.6.6-1.435.2.3 fails on ASUS P2L97-S
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-07-07 08:27 EDT by Aniello Di Meglio
Modified: 2015-01-04 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 00:30:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aniello Di Meglio 2004-07-07 08:27:22 EDT
Description of problem:
Boots fine with kernel 2.6.5-1.358 AND kernel 2.6.6-1.435 but 
anything larger I get the following error:

(copied from screen)

With kernel 2.6.6-1.435.2.1
  Mounting USB filesystem    [OK]
  Checking root filesystem
  /dev/hda3 is mounted.  e2fsck: cannot continue, aborting.

  *** An error occured during the file system check.
  *** Dropping you to a shell; the system will reboot 
I can drop to the shell, issue a remount rw, then "init 3" which 
starts-up X no problem. Why is it trying to check the filesystem?

With kernel 2.6.6-1.435.2.3
  Loading ext3.ko module
  Creating block devices
  Creating root device
  Mounting root filesystem
  EXT3-fs: Unrecognized mount option "auto" or missing value
  mount: error 22 mounting ext3
  pivotroot: pivot_root(/sysroot,/sysroot/initrd) failed: 2
  umount /initrd/proc failed: 2
  Freeing unused kernel memory: 144k freed
  Kernel panic: No init found.  Try passing init= option to kernel.

Again, I have no problems booting with 2.6.5-1.358 and no problems 
with 2.6.6-1.435.

The initial kernel was 2.6.5-1.358.

I have another machine (Proliant 2500) all with ext3 partitions and 
FC2's latest kernel runs fine on that one.

I read somewhere that I might have to compile ext3 directly in the 
kernel vs modules yet the Proliant's fine and 2.6.5-1.358 doesn't 
have it compiled yet it works.

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1.Install FC2 from scratch
2.Let yum upgrade it to kernel-2.6.6-1.435.2.3
4.Subsequent reboots also cause problem
Actual results:
As described above.

Expected results:
Clean boot.

Additional info:
Motherboard is ASUS P2L97-S with beta bios (to support large hard 
cpu is Pentium 2 @ 266mhz
380mb ram
I have one SCSI drive (/dev/sda) connected to the buit-in aic7880 but 
it's not my boot drive. 
Disconnecting the scsi drive has no effect. Disabling the SCSI bios 
has no effect.

History of this install is that this system originally had FC1 
on /dev/hda1 (it's still there). I installed from scratch onto 
empty /dev/hda3 partition FC2 and upgraded to latest 
patches. /dev/hda2 contains the data. All are primary partitions.

Here is the grub.conf:
# grub.conf generated by anaconda
# Note that you do not have to rerun grub after making changes to 
this file
# NOTICE:  You do not have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /, eg.
#          root (hd0,2)
#          kernel /boot/vmlinuz-version ro root=/dev/hda3
#          initrd /boot/initrd-version.img
title Fedora Core (2.6.6-1.435.2.3)
        root (hd0,2)
        kernel /boot/vmlinuz-2.6.6-1.435.2.3 ro root=LABEL=33gigP3 
        initrd /boot/initrd-2.6.6-1.435.2.3.img
title Fedora Core (2.6.6-1.435.2.1)
        root (hd0,2)
        kernel /boot/vmlinuz-2.6.6-1.435.2.1 ro root=LABEL=33gigP3 
        initrd /boot/initrd-2.6.6-1.435.2.1.img
title Fedora Core (2.6.6-1.435)
        root (hd0,2)
        kernel /boot/vmlinuz-2.6.6-1.435 ro root=LABEL=33gigP3 rhgb
        initrd /boot/initrd-2.6.6-1.435.img
title Fedora Core (2.6.5-1.358)
        root (hd0,2)
        kernel /boot/vmlinuz-2.6.5-1.358 ro root=LABEL=33gigP3 rhgb 
        initrd /boot/initrd-2.6.5-1.358.img
title Red Hat Linux (2.4.20-8)
        root (hd0,0)
        kernel /boot/vmlinuz-2.4.20-8 ro root=/dev/hda1
        initrd /boot/initrd-2.4.20-8.img

Here's the output from "lspci" for those who might find it useful.
00:00.0 Host bridge: Intel Corp. 440LX/EX - 82443LX/EX Host bridge 
(rev 03)
00:01.0 PCI bridge: Intel Corp. 440LX/EX - 82443LX/EX AGP bridge (rev 
00:04.0 ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 01)
00:04.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01)
00:04.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01)
00:04.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 01)
00:06.0 SCSI storage controller: Adaptec AIC-7880U
00:0c.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-
8139/8139C/8139C+ (rev 10)
01:00.0 VGA compatible controller: ATI Technologies Inc Rage 128 

Here is the fstab file:
LABEL=33gigP3           /                       ext3    
rw,acl,check=none,rw,suid,dev,exec,nouser,async 0 0
/dev/hda1               /mnt/part1              ext3    
rw,acl          1 2
none                    /dev/pts                devpts  
gid=5,mode=620  0 0
none                    /dev/shm                tmpfs   
defaults        0 0
none                    /proc                   proc    
defaults        0 0
none                    /sys                    sysfs   
defaults        0 0
/dev/hda2               swap                    swap    
defaults        0 0
/dev/sda1               swap                    swap    
defaults        0 0
/dev/cdrom              /mnt/cdrom              udf,iso9660 
noauto,owner,kudzu,ro 0 0
/dev/fd0                /mnt/floppy             auto    
noauto,owner,kudzu 0 0
/dev/sda2               /mnt/part1/music     ext3    rw,acl  0 0
Comment 1 Dave Jones 2004-11-27 15:21:29 EST
mass update for old bugs:

Is this still a problem with the 2.6.9 based update kernel ?
Comment 2 Dave Jones 2005-04-16 00:30:10 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.